<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- Bootstrap CSS -->
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
      crossorigin="anonymous"
    />
  </head>
  <body>
    <div class="container-fluid">
      <h1>OrderDetail</h1>
      <label for="">OrderCode(Mã đơn hàng):</label>
      <input type="text" class="form-control" />
      <label for="">cỡ Combo:</label>
      <select name="" id="" class="form-control mb-3">
        <option value="">Chọn cỡ combo</option>
        <option value="">S(Nhỏ)</option>
        <option value="">M(Vừa)</option>
        <option value="">L(Lớn)</option>
      </select>
      <label for="">Đường kính pizza:</label>
      <input type="text" class="form-control" />
      <label for="">sườn nướng(miếng):</label>
      <input type="text" class="form-control" />
      <label for="">Đồ uống:</label>
      <select name="" id="" class="form-control mb-3">
        <option value="">Chọn đồ uống</option>
      </select>

      <label for="">số lượng nước:</label>
      <input type="text" class="form-control" />
      <label for="">Vourcher ID:</label>
      <input type="text" class="form-control" />
      <label for="">Loại Pizza:</label>
      <select name="" id="" class="form-control mb-3">
        <option value="">Pizza gà</option>
        <option value="">Pizza hải sản</option>
        <option value="">Pizza thịt nướng</option>
      </select>
      <label for="">Salad:</label>
      <input type="text" class="form-control" />
      <label for="">Thành tiền:</label>
      <input type="text" class="form-control" />
      <label for="">Giảm giá:</label>
      <input type="text" class="form-control" />
      <label for="">Họ tên:</label>
      <input type="text" class="form-control" />
      <label for="">Email:</label>
      <input type="text" class="form-control" />
      <label for="">số điện thoại:</label>
      <input type="text" class="form-control" />
      <label for="">Địa chỉ:</label>
      <input type="text" class="form-control" />
      <label for="">Lời nhắn:</label>
      <input type="text" class="form-control" />
      <label for="">Trạng thái đơn hàng:</label>
      <input type="text" class="form-control" />
      <label for="">Ngày tạo:</label>
      <input type="text" class="form-control" />
      <label for="">Ngày cập nhật:</label>
      <input type="text" class="form-control" />
      <hr />
      <hr />
      <hr />
      <hr />
      <hr />
    </div>
    <script>
      /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
      const gREQUEST_STATUS_OK = 200;
      const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
      const gBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";
      var gOrderCode;
      var vLink = window.location.href;
      var vURL = new URL(vLink);
      gOrderCode = vURL.searchParams.get("ordercode");
      console.log(gOrderCode);

      /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

      /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
      function onPageLoading() {
        console.log("hello");
      }
      /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
      // ham goi api de lay order theo ordercode
      function goiApiDeLayOrderTheoOrderCode(paramXmlHttp) {
        paramXmlHttp.open("GET");
      }
    </script>
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script
      src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
      integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
      integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
      integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
